#
# spec file for package perl-RPC-XML
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-RPC-XML
Version:        0.77
Release:        7.21
%define cpan_name RPC-XML
Summary:        A set of classes for core data, message and XML handling
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/RPC-XML/
Source:         http://www.cpan.org/authors/id/R/RJ/RJRAY/RPC-XML-%{version}.tar.gz
#PATCH-FIX-OPENSUSE - ro@suse.de - fix build in chroot/buildservice
Patch1:         RPC-XML-0.60-rev127.dif
Patch2:         RPC-XML-0.76-extern_ent.dif
#PATCH-FIX-UPSTREAM - coolo@suse.de RT#86187
Patch3:         RPC-XML-0.77-fixtest.dif
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::Spec) >= 0.8
BuildRequires:  perl(LWP) >= 5.834
BuildRequires:  perl(Scalar::Util) >= 1.19
BuildRequires:  perl(XML::LibXML) >= 1.70
BuildRequires:  perl(XML::Parser) >= 2.31
BuildRequires:  perl(constant) >= 1.03
Requires:       perl(File::Spec) >= 0.8
Requires:       perl(LWP) >= 5.834
Requires:       perl(Scalar::Util) >= 1.19
Requires:       perl(XML::LibXML) >= 1.70
Requires:       perl(XML::Parser) >= 2.31
Requires:       perl(constant) >= 1.03
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{perl_requires}

%description
The *RPC::XML* package is an implementation of the *XML-RPC* standard.

The package provides a set of classes for creating values to pass to the
constructors for requests and responses. These are lightweight objects,
most of which are implemented as tied scalars so as to associate specific
type information with the value. Classes are also provided for requests,
responses, faults (errors) and a parser based on the the XML::Parser
manpage package from CPAN.

This module does not actually provide any transport implementation or
server basis. For these, see the RPC::XML::Client manpage and the
RPC::XML::Server manpage, respectively.

%prep
%setup -q -n %{cpan_name}-%{version}
%patch1 -p0
%patch2
%patch3 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc ChangeLog ChangeLog.xml README README.apache2

%changelog
* Mon Jul  1 2013 coolo@suse.com
- add RPC-XML-0.77-fixtest.dif to make sure the serialization is
  reproducible even with hash randomization in perl 5.18 (RT#86187)
* Sun May  5 2013 mc@suse.com
- update to version 0.77
  * Make RPC::XML::Server work with Net::Server again,
    after the API changes of Net::Server 2.x.
  * Correct handling of dateTime parameters
  * Add port to Host header in client requests.
  * Fix spelling error in man page
  * improve tests
- remove patches which are unused since a long time
  * RPC-XML-0.53-ext-daemon-and-header-cb.dif
  * RPC-XML-0.60-fix-utf8.dif
* Mon Jun  4 2012 mls@suse.de
- predeclare extern_ent so that it works with perl-5.16.0
* Fri Nov 18 2011 coolo@suse.com
- update to 0.76, see Changes
* Tue Mar 22 2011 coolo@novell.com
- update to 0.74
  * tons and tons of fixes and new functions since 0.67, see ChangeLog
- take out patches of unclear use, to be removed on next update
- regenerate with cpanspec
* Fri Dec 10 2010 coolo@novell.com
- use perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Nov 28 2010 coolo@novell.com
- remove .packlist file
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Jul 27 2009 mc@novell.com
- version 0.67
  * a lot of bugfixes and changed tests
* Mon Aug 18 2008 ro@suse.de
- hack to build also in buildservice where 127.0.0.1 can
  resolve to the hostname instead of localhost
* Mon Apr 14 2008 mc@suse.de
- version 0.60
  * fix problem caused by having colons in temp-file names.
  * fix for SSL
  * Fixed the bug in RPC::XML::Server::process_request() could lead to an
    infinite loop if the client shuts down the socket before the full
    request is sent.
  * RPC::XML::smart_encode actually die with an error when a
    reference-type is passed in that cannot be converted.
  * performance improvement
  * fix the XML serialization of double values
* Fri Jul 14 2006 mc@suse.de
- version 0.59
- Fixes to POD documentation
- lib/Apache/RPC/Server.pm:
  Fixed the logic around the setting of $no_def in new(); it was
  handling the no_default method-argument backwards
- fixed some testcases
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Sun Jul 31 2005 cthiel@suse.de
- update to version 0.58
* Fri Apr  1 2005 mc@suse.de
- update to version 0.57
- remove RPC-XML-0.53-http-compress-fix.dif ;
  not needed anymore
* Mon Aug  9 2004 mc@suse.de
- update to version 0.54
* Wed Dec  3 2003 mc@suse.de
- fix http compression (RPC-XML-0.53-http-compress-fix.dif)
* Tue Dec  2 2003 mc@suse.de
- initial version 0.53
